﻿using System;
using System.Drawing;
using System.Windows.Forms;

namespace Demo
{
	public partial class FormDemo : Form
	{
		public FormDemo()
		{
			InitializeComponent();
		}

		private void buttonSelectPicture_Click(object sender, EventArgs e)
		{
			if (openFileDialog.ShowDialog() == DialogResult.OK)
			{
				textBox.Clear();

				var image = Image.FromFile(openFileDialog.FileName);
				pictureBox.Image = image;

				obr.Active = true;
				try
				{
					obr.Picture = image;
					obr.Scan();
					if (obr.Barcodes.Length == 0)
						textBox.Text = "No barcode found";
					else
						foreach (var barcode in obr.Barcodes)
							textBox.Text += barcode.SymbologyName + barcode.SymbologyAddonName + " " + barcode.OrientationName + " " + barcode.DataAnsi + Environment.NewLine;
				}
				finally
				{
					obr.Active = false;
					obr.Picture = null;
				}
			}
		}
	}
}